<?php

/* DCMS Special
 * Дата последнего редактирования 02.01.2016
 * Модифицировал densnet
 */

foreach (array('start', 'compress', 'sess', 'settings', 'db_connect', 'ipua', 'fnc', 'user') as $inc) {
    require_once "../../sys/inc/$inc.php";
}

if (isset($_GET['id']) && mysql_result(mysql_query("SELECT COUNT(*) FROM `mini_chat` WHERE `id` = '" . intval($_GET['id']) . "'"), 0) == 1) {
    $post = mysql_fetch_assoc(mysql_query("SELECT * FROM `mini_chat` WHERE `id` = '" . intval($_GET['id']) . "' LIMIT 1"));

    if ($post['id_user'] == 0) {
        $ank['id'] = 0;
        $ank['pol'] = 'guest';
        $ank['level'] = 0;
        $ank['nick'] = 'Гость';
    } else {
        $ank = get_user($post['id_user']);
    }

    if (access('mini_chat_clear')) {
        admin_log(lang('Мини чат'), lang('Удаление сообщения'), lang("Удаление сообщения от $ank[nick]"));
        mysql_query("DELETE FROM `mini_chat` WHERE `id` = '$post[id]'");
    }
}

if (isset($_SERVER['HTTP_REFERER']) && $_SERVER['HTTP_REFERER'] != NULL) {
    header('Location: ' . mysql_real_escape_string($_SERVER['HTTP_REFERER']));
} else {
    header('Location: index.php?' . SID);
}
